// FILENAME:      OV_Permafrost.cs
// AUTHORS:       [OF] Pincushion
// VERSION:       1.0
// LAST UPDATED:  Feb 21, 2000
// DESCRIPTION:
// This is an Overrun mission.  It requires multiplayer/OVStdLib.cs.
// Wave after wave of attackers will try to destroy your turrets, your
// generators, your radar, and you.  The object: survive.
// See http://www.geocities.com/SoHo/Nook/9351/maps/index.html for more info.
//------------------------------------------------------------------------------

$missionName = "OV_Permafrost";

exec("multiplayerStdLib.cs");
exec("OVStdLib.cs");

function onMissionStart()
{
	iceSounds();
	OVMissionStart();
}

function onMissionLoad()
{
	cdAudioCycle("Purge", "YouGot", "SS1"); 

	// AI Attackers: 1 = Cybrid, 2 = Human, 3 = mixed.
	$OVattackerTech = 1;

	// Drop zones. Set an entry to 0 to disable drops from that direction.
	// Non-zero integer values indicate relative frequency.
	// Eg. setting $OVdz[0]=3 $OVdz[4]=1 and all the rest to 0 will cause
	// 3 out of 4 drops to be north of the base.
	// 0=N, 1=NE, 2=E, 3=SE, 4=S, 5=SW, 6=W, 7=NW
	$OVdz[0]=1; $OVdz[1]=1; $OVdz[2]=1; $OVdz[3]=1;
	$OVdz[4]=1; $OVdz[5]=1; $OVdz[6]=1; $OVdz[7]=1;

	OVMissionLoad();
}

$beams_inited = 0;
$beam1on = 1;
$beam2on = 1;

function target::structure::onAttacked(%this, %attackerId)
{
	if ($beams_inited == 0) {
		$beams_inited = 1;
		%base = "MissionGroup\\purpleBase";
		$gen1 = getObjectId(%base@"\\Beam1\\generator");
		$dish1 = getObjectId(%base@"\\Beam1\\dish");
		$beam1 = getObjectId(%base@"\\Beam1\\beam");
		$gen2 = getObjectId(%base@"\\Beam2\\generator");
		$dish2 = getObjectId(%base@"\\Beam2\\dish");
		$beam2 = getObjectId(%base@"\\Beam2\\beam");
	}
	if ($beam1on && ((%this == $gen1) || (%this == $dish1))) {
		$beam1on = 0;
		playAnimSequence($beam1, 0);
	}
	if ($beam2on && ((%this == $gen2) || (%this == $dish2))) {
		$beam2on = 0;
		playAnimSequence($beam2, 0);
	}
}
